## Spring Cloud Contract Maven Plugin

## spring-cloud-contract:run

Full name:

org.springframework.cloud:spring-cloud-contract-maven-plugin:2.2.0.BUILD-SNAPSHOT:run

Description:

Mojo for running stubs.

Attributes:

- Requires dependency resolution of artifacts in scope: `runtime`.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
destination | `File` | `-` | (no description) Default value is: `${basedir}`. User property is: `stubsDirectory`.
httpPort | `int` | `-` | HTTP port for the WireMock server that serves stubs. Default value is: `8080`. User property is: `spring.cloud.contract.verifier.http.port`.
maxPort | `int` | `-` | Maximal port at which the stub should start. Default value is: `15000`. User property is: `spring.cloud.contract.verifier.http.maxPort`.
minPort | `int` | `-` | Minimal port at which the stub should start. Default value is: `10000`. User property is: `spring.cloud.contract.verifier.http.minPort`.
skip | `boolean` | `-` | Set this to "true" to bypass verifier execution. Default value is: `false`. User property is: `spring.cloud.contract.verifier.skip`.
skipTestOnly | `boolean` | `-` | Set this to "true" to bypass verifier test generation. Default value is: `false`. User property is: `spring.cloud.contract.verifier.skipTestOnly`.
stubs | `String` | `-` | List of stubs to be downloaded and ran in a colon separated Ivy notation. User property is: `spring.cloud.contract.verifier.stubs`.
stubsClassifier | `String` | `-` | Classifier used by stubs artifacts. Default value is: `stubs`.
stubsDirectory | `File` | `-` | (no description) Default value is: `${project.build.directory}/stubs/`.
waitForKeyPressed | `boolean` | `-` | Should the plugin wait for the user to press the key after starting the stubs. Default value is: `true`. User property is: `spring.cloud.contract.verifier.wait-for-key-pressed`.

### Parameter Details

destination:

(no description)

- Type: `java.io.File`
- Required: `No`
- User Property: `stubsDirectory`
- Default: `${basedir}`

httpPort:

HTTP port for the WireMock server that serves stubs.

- Type: `int`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.http.port`
- Default: `8080`

maxPort:

Maximal port at which the stub should start.

- Type: `int`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.http.maxPort`
- Default: `15000`

minPort:

Minimal port at which the stub should start.

- Type: `int`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.http.minPort`
- Default: `10000`

skip:

Set this to "true" to bypass verifier execution.

- Type: `boolean`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.skip`
- Default: `false`

skipTestOnly:

Set this to "true" to bypass verifier test generation.

- Type: `boolean`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.skipTestOnly`
- Default: `false`

stubs:

List of stubs to be downloaded and ran in a colon separated Ivy notation.

- Type: `java.lang.String`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.stubs`

stubsClassifier:

Classifier used by stubs artifacts.

- Type: `java.lang.String`
- Required: `No`
- Default: `stubs`

stubsDirectory:

(no description)

- Type: `java.io.File`
- Required: `No`
- Default: `${project.build.directory}/stubs/`

waitForKeyPressed:

Should the plugin wait for the user to press the key after starting the stubs.

- Type: `boolean`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.wait-for-key-pressed`
- Default: `true`